# Build files
build
cmake-build-debug
docs

# Dump and continuous integration files
*.dump
__pycache__
/ci/cppcheckdata.py
/ci/misra.py
/ci/report.msr

# Prerequisites
*.d

# Compiled Object files
*.slo
*.lo
*.o
*.obj

# Precompiled Headers
*.gch
*.pch

# Compiled Dynamic libraries
*.so
*.dylib
*.dll

# Fortran module files
*.mod
*.smod

# Compiled Static libraries
*.lai
*.la
# We actually need this, since we have to link against CMSIS-DSP
#*.a
*.lib

# Executables
*.exe
*.out
*.app

# IDEs
.vscode
.cache
